<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.2.15
Name: Soziale Umstände und Verhalten PS
Description: 
                 Informationen zum sozialen Umfeld und Verhalten des Patienten: 
                 Alltagsbewältigung, Wohnsituation (Zustand oder Standard der Wohnung), Betreuungssituation (hat Familie oder nicht, …), Verwahrlosungstendenz 
                     Durch die Verwendung von gleich strukturierten Subsektionen ist die Angabe von Informationen aus verschiedenen Quellen möglich. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.2.15-2017-11-27T163358">
   <title>Soziale Umstände und Verhalten PS</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]"
         id="d20e6087-false-d22635e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']) &gt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:templateId[@root = '1.2.40.0.34.11.13.2.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:templateId[@root = '1.2.40.0.34.11.13.2.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:id) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:code[(@code = 'PFSOZV' and @codeSystem = '1.2.40.0.34.5.40')]) &lt; 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:code[(@code = 'PFSOZV' and @codeSystem = '1.2.40.0.34.5.40')]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:code[(@code = 'PFSOZV' and @codeSystem = '1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:author[not(@nullFlavor)]) &gt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:author[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.17']]]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.17']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.9']]]) &lt;= 1">(SozialeUmstaendeUndVerhalten_PS): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.9']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']"
         id="d20e6089-false-d22765e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialeUmstaendeUndVerhalten_PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="string(@root) = ('1.2.40.0.34.11.13.2.15')">(SozialeUmstaendeUndVerhalten_PS): Der Wert von root MUSS '1.2.40.0.34.11.13.2.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:id
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:id"
         id="d20e6094-false-d22779e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:code[(@code = 'PFSOZV' and @codeSystem = '1.2.40.0.34.5.40')]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:code[(@code = 'PFSOZV' and @codeSystem = '1.2.40.0.34.5.40')]"
         id="d20e6102-false-d22788e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialeUmstaendeUndVerhalten_PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="@nullFlavor or (@code='PFSOZV' and @codeSystem='1.2.40.0.34.5.40')">(SozialeUmstaendeUndVerhalten_PS): Der Elementinhalt MUSS einer von 'code 'PFSOZV' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:title[not(@nullFlavor)]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:title[not(@nullFlavor)]"
         id="d20e6107-false-d22804e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialeUmstaendeUndVerhalten_PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:text[not(@nullFlavor)]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:text[not(@nullFlavor)]"
         id="d20e6118-false-d22814e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialeUmstaendeUndVerhalten_PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:text
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:text"
         id="d20e6120-false-d22824e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialeUmstaendeUndVerhalten_PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:author[not(@nullFlavor)]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:author
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:informant
Item: (SozialeUmstaendeUndVerhalten_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:informant
Item: (SozialeUmstaendeUndVerhalten_PS)
-->


   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.17']]]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.17']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(SozialeUmstaendeUndVerhalten_PS): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(SozialeUmstaendeUndVerhalten_PS): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.2.15
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.18']]]
Item: (SozialeUmstaendeUndVerhalten_PS)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.18']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(SozialeUmstaendeUndVerhalten_PS): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.2.15-2017-11-27T163358.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(SozialeUmstaendeUndVerhalten_PS): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]]"
         id="d22927e23-false-d22948e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.9']]]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.13.2.15']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.9']]]"
         id="d22927e30-false-d22966e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
