<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.10
Name: Aktuelle Schwangerschaft
Description: 
                 Informationen über eine aktuelle Schwangerschaft. 
                 Angegeben wird ein Kennzeichen (ja/nein).  Liegt eine aktuelle Schwangerschaft vor (ja), kann auch der voraussichtliche Geburtstermin angegeben werden (Schätzung oder Berechnung nach letzter Regelblutung oder Eisprung) sowie das Datum der Schätzung/Berechnung. 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.10-2017-03-11T180812">
   <title>Aktuelle Schwangerschaft</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]
Item: (SchwangerschaftsEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]"
         id="d20e8531-false-d34946e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@classCode) = ('OBS')">(SchwangerschaftsEntry): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@moodCode) = ('EVN')">(SchwangerschaftsEntry): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']) &gt;= 1">(SchwangerschaftsEntry): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.10'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']) &lt;= 1">(SchwangerschaftsEntry): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.10'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:code[(@code = '11449-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt; 1">(SchwangerschaftsEntry): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:code[(@code = '11449-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(SchwangerschaftsEntry): Element hl7:code[(@code = '11449-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(SchwangerschaftsEntry): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(SchwangerschaftsEntry): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:effectiveTime) &gt;= 1">(SchwangerschaftsEntry): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SchwangerschaftsEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:value) &gt;= 1">(SchwangerschaftsEntry): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:value) &lt;= 1">(SchwangerschaftsEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:author[hl7:assignedAuthor]) &gt;= 1">(SchwangerschaftsEntry): Element hl7:author[hl7:assignedAuthor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:informant) &gt;= 1">(SchwangerschaftsEntry): Element hl7:informant ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]) &lt;= 1">(SchwangerschaftsEntry): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:reference[hl7:externalDocument]) &lt;= 1">(SchwangerschaftsEntry): Element hl7:reference[hl7:externalDocument] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']"
         id="d20e8537-false-d35055e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.10')">(SchwangerschaftsEntry): Der Wert von root MUSS '1.2.40.0.34.11.13.3.10' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:code[(@code = '11449-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:code[(@code = '11449-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e8542-false-d35070e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@displayName) = ('Pregnancy Status') or not(@displayName)">(SchwangerschaftsEntry): Der Wert von displayName MUSS 'Pregnancy Status' sein. Gefunden: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(SchwangerschaftsEntry): Attribute @displayName MUSS vom Datentyp 'st' sein  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(SchwangerschaftsEntry): Der Wert von codeSystemName MUSS 'LOINC' sein. Gefunden: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(SchwangerschaftsEntry): Attribute @codeSystemName MUSS vom Datentyp 'st' sein  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(SchwangerschaftsEntry): Der Wert von codeSystem MUSS '2.16.840.1.113883.6.1' sein. Gefunden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@code) = ('11449-6')">(SchwangerschaftsEntry): Der Wert von code MUSS '11449-6' sein. Gefunden: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:statusCode[@code = 'completed']
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:statusCode[@code = 'completed']"
         id="d20e8553-false-d35101e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="@nullFlavor or (@code='completed')">(SchwangerschaftsEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime"
         id="d20e8559-false-d35117e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:low) &gt;= 1">(SchwangerschaftsEntry): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:low) &lt;= 1">(SchwangerschaftsEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="count(hl7:high) = 0">(SchwangerschaftsEntry): Element hl7:high DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime/hl7:low
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime/hl7:low"
         id="d20e8570-false-d35142e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime/hl7:high
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:effectiveTime/hl7:high"
         id="d20e8572-false-d35152e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:value
Item: (SchwangerschaftsEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:value"
         id="d20e8575-false-d35162e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SchwangerschaftsEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]
Item: (SchwangerschaftsEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(AuthorBody_PS): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(AuthorBody_PS): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:time) &gt;= 1">(AuthorBody_PS): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:time) &lt;= 1">(AuthorBody_PS): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &gt;= 1">(AuthorBody_PS): Element hl7:assignedAuthor[hl7:representedOrganization] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &lt;= 1">(AuthorBody_PS): Element hl7:assignedAuthor[hl7:representedOrganization] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(AuthorBody_PS): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:id) &gt;= 1">(AuthorBody_PS): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorBody_PS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="$elmcount &gt;= 1">(AuthorBody_PS): Auswahl (hl7:assignedPerson  oder  hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="$elmcount &lt;= 1">(AuthorBody_PS): Auswahl (hl7:assignedPerson  oder  hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedPerson) &lt;= 1">(AuthorBody_PS): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(AuthorBody_PS): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &gt;= 1">(AuthorBody_PS): Element hl7:representedOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &lt;= 1">(AuthorBody_PS): Element hl7:representedOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:id
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorBody_PS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.6 ELGA_AuthorSpeciality (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:addr
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:telecom
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(AuthorBody_PS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody_PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody_PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody_PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(AuthorBody_PS): Der Wert von classCode MUSS 'DEV' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody_PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:manufacturerModelName) &gt;= 1">(AuthorBody_PS): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(AuthorBody_PS): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:softwareName) &gt;= 1">(AuthorBody_PS): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:softwareName) &lt;= 1">(AuthorBody_PS): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]
Item: (AuthorBody_PS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(AuthorBody_PS): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody_PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(AuthorBody_PS): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody_PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody_PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:addr) &lt;= 1">(AuthorBody_PS): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:telecom
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:addr
Item: (AuthorBody_PS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant
Item: (SchwangerschaftsEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@typeCode) = ('INF') or not(@typeCode)">(InformantBodyPS): Der Wert von typeCode MUSS 'INF' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(InformantBodyPS): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity | hl7:relatedEntity[@classCode = 'PRS'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="$elmcount &gt;= 1">(InformantBodyPS): Auswahl (hl7:assignedEntity  oder  hl7:relatedEntity[@classCode = 'PRS']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="$elmcount &lt;= 1">(InformantBodyPS): Auswahl (hl7:assignedEntity  oder  hl7:relatedEntity[@classCode = 'PRS']) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(InformantBodyPS): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:id) &gt;= 1">(InformantBodyPS): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(InformantBodyPS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:assignedPerson) &lt;= 1">(InformantBodyPS): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:representedOrganisation) &lt;= 1">(InformantBodyPS): Element hl7:representedOrganisation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (InformantBodyPS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(InformantBodyPS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.6 ELGA_AuthorSpeciality (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (InformantBodyPS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (InformantBodyPS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(InformantBodyPS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(InformantBodyPS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(InformantBodyPS): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(InformantBodyPS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:addr) &lt;= 1">(InformantBodyPS): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:telecom">
      <extends rule="TEL.AT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PRS')">(InformantBodyPS): Der Wert von classCode MUSS 'PRS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(InformantBodyPS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:relatedPerson) &lt;= 1">(InformantBodyPS): Element hl7:relatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(InformantBodyPS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.17 ELGA_PersonalRelationship (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:addr
Item: (InformantBodyPS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:telecom
Item: (InformantBodyPS)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson
Item: (InformantBodyPS)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(InformantBodyPS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(InformantBodyPS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(InformantBodyPS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]
Item: (SchwangerschaftsEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.10-2017-03-11T180812.html"
              test="string(@typeCode) = ('COMP')">(SchwangerschaftsEntry): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.10
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]
Item: (SchwangerschaftsEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]
Item: (ELGAExternalDocument)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:externalDocument) &gt;= 1">(ELGAExternalDocument): Element hl7:externalDocument ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument
Item: (ELGAExternalDocument)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@classCode) = ('DOC') or not(@classCode)">(ELGAExternalDocument): Der Wert von classCode MUSS 'DOC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(ELGAExternalDocument): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ELGAExternalDocument): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ELGAExternalDocument): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:code) &lt;= 1">(ELGAExternalDocument): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:text) &lt;= 1">(ELGAExternalDocument): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:id[not(@nullFlavor)]
Item: (ELGAExternalDocument)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:code
Item: (ELGAExternalDocument)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.10']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:text
Item: (ELGAExternalDocument)
--></pattern>
