<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.12
Name: ELGA Result Observation
Description: Template zur codierten Angabe von diagnostischen Resultaten, die keine Laborparameter sind
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.12-2017-09-17T164542">
   <title>ELGA Result Observation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]"
         id="d20e8767-false-d37197e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]) &gt;= 1">(ELGA_ResultObservation): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]) &lt;= 1">(ELGA_ResultObservation): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]"
         id="d20e8824-false-d37214e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@classCode) = ('OBS')">(ELGA_ResultObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@moodCode) = ('EVN')">(ELGA_ResultObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']) &gt;= 1">(ELGA_ResultObservation): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.12'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']) &lt;= 1">(ELGA_ResultObservation): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.12'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ELGA_ResultObservation): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ELGA_ResultObservation): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt; 1">(ELGA_ResultObservation): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt;= 1">(ELGA_ResultObservation): Element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:text) &lt;= 1">(ELGA_ResultObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ELGA_ResultObservation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ELGA_ResultObservation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:effectiveTime) &gt;= 1">(ELGA_ResultObservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ELGA_ResultObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value | hl7:value)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="$elmcount &gt;= 1">(ELGA_ResultObservation): Auswahl (hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  oder  hl7:value  oder  hl7:value) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="$elmcount &lt;= 1">(ELGA_ResultObservation): Auswahl (hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  oder  hl7:value  oder  hl7:value) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(ELGA_ResultObservation): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:value) &lt;= 1">(ELGA_ResultObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:value) &lt;= 1">(ELGA_ResultObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ELGA_ResultObservation): Element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:targetSiteCode) &lt;= 1">(ELGA_ResultObservation): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']"
         id="d20e8830-false-d37332e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.12')">(ELGA_ResultObservation): Der Wert von root MUSS '1.2.40.0.34.11.13.3.12' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:id[not(@nullFlavor)]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:id[not(@nullFlavor)]"
         id="d20e8835-false-d37346e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']"
         id="d20e8837-false-d37357e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(ELGA_ResultObservation): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@code">(ELGA_ResultObservation): Attribut @code MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(ELGA_ResultObservation): Attribute @code MUSS vom Datentyp 'cs' sein  - '<value-of select="@code"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:text
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:text"
         id="d20e8855-false-d37378e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(ELGA_ResultObservation): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(ELGA_ResultObservation): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e8860-false-d37394e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:statusCode[@code = 'completed']
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:statusCode[@code = 'completed']"
         id="d20e8863-false-d37405e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@nullFlavor or (@code='completed')">(ELGA_ResultObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:effectiveTime
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:effectiveTime"
         id="d20e8868-false-d37421e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e8897-false-d37431e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:value
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:value"
         id="d20e8902-false-d37442e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(ELGA_ResultObservation): Attribute @value ist keine gültige int Zahl <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="not(@unit) or (string-length(@unit) &gt; 0 and not(matches(@unit,'\s')))">(ELGA_ResultObservation): Attribute @unit MUSS vom Datentyp 'cs' sein  - '<value-of select="@unit"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:value
Item: (ELGA_ResultObservation)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e8925-false-d37471e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.13-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ELGA_ResultObservation): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.13 ELGA_ObservationInterpretation (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:targetSiteCode
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:targetSiteCode"
         id="d20e8930-false-d37494e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]"
         id="d20e8936-false-d37508e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &gt;= 1">(ELGA_ResultObservation): Element hl7:observationRange[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &lt;= 1">(ELGA_ResultObservation): Element hl7:observationRange[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]"
         id="d20e8938-false-d37524e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:code) = 0">(ELGA_ResultObservation): Element hl7:code DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(ELGA_ResultObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(ELGA_ResultObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="count(hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83')]) &lt;= 1">(ELGA_ResultObservation): Element hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code"
         id="d20e8940-false-d37553e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]"
         id="d20e8942-false-d37563e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.12
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83')]
Item: (ELGA_ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83')]"
         id="d20e8944-false-d37572e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ELGA_ResultObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@displayName) = ('Normal') or not(@displayName)">(ELGA_ResultObservation): Der Wert von displayName MUSS 'Normal' sein. Gefunden: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(ELGA_ResultObservation): Attribute @displayName MUSS vom Datentyp 'st' sein  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@codeSystemName) = ('HL7:ObservationInterpretation') or not(@codeSystemName)">(ELGA_ResultObservation): Der Wert von codeSystemName MUSS 'HL7:ObservationInterpretation' sein. Gefunden: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(ELGA_ResultObservation): Attribute @codeSystemName MUSS vom Datentyp 'st' sein  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.5.83')">(ELGA_ResultObservation): Der Wert von codeSystem MUSS '2.16.840.1.113883.5.83' sein. Gefunden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.12-2017-09-17T164542.html"
              test="string(@code) = ('N')">(ELGA_ResultObservation): Der Wert von code MUSS 'N' sein. Gefunden: "<value-of select="@code"/>"</assert>
   </rule>
</pattern>
