<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.14
Name: Allergy Status Observation
Description: Klinischer Status der Allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.14-2017-07-13T211515">
   <title>Allergy Status Observation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]"
         id="d20e9285-false-d38315e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]) &gt;= 1">(AllergyStatusObservation): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]) &lt;= 1">(AllergyStatusObservation): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]"
         id="d20e9318-false-d38332e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="string(@classCode) = ('OBS')">(AllergyStatusObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="string(@moodCode) = ('EVN')">(AllergyStatusObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']) &gt;= 1">(AllergyStatusObservation): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.14'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']) &lt;= 1">(AllergyStatusObservation): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.14'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt; 1">(AllergyStatusObservation): Element hl7:code ist codiert mit Bindungsstärke 'CWE' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(AllergyStatusObservation): Element hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:text) &lt;= 1">(AllergyStatusObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(AllergyStatusObservation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(AllergyStatusObservation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:value) &gt;= 1">(AllergyStatusObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:value) &lt;= 1">(AllergyStatusObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']"
         id="d20e9324-false-d38393e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyStatusObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.14')">(AllergyStatusObservation): Der Wert von root MUSS '1.2.40.0.34.11.13.3.14' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d20e9329-false-d38408e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyStatusObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Status' and @codeSystemName='LOINC')">(AllergyStatusObservation): Der Elementinhalt MUSS einer von 'code '33999-4' codeSystem '2.16.840.1.113883.6.1' displayName='Status' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:text
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:text"
         id="d20e9337-false-d38424e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(AllergyStatusObservation): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(AllergyStatusObservation): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e9344-false-d38440e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyStatusObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="@value">(AllergyStatusObservation): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="not(@value) or string-length(@value)&gt;0">(AllergyStatusObservation): Attribute @value MUSS vom Datentyp 'st' sein  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:statusCode[@code = 'completed']
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:statusCode[@code = 'completed']"
         id="d20e9351-false-d38457e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyStatusObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="@nullFlavor or (@code='completed')">(AllergyStatusObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:value
Item: (AllergyStatusObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]/hl7:value"
         id="d20e9359-false-d38476e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.14-2017-07-13T211515.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(AllergyStatusObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
