<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.15
Name: Problem Entry Allergien-Reaktion
Description: Entry für die Alllergie-Reaktion
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.15-2017-07-13T213919">
   <title>Problem Entry Allergien-Reaktion</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]"
         id="d20e9371-false-d38502e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]"
         id="d20e9423-false-d38523e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="string(@classCode) = ('OBS')">(ProblemEntryAllergy_Reaction): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="string(@moodCode) = ('EVN')">(ProblemEntryAllergy_Reaction): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:id) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:id) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(ProblemEntryAllergy_Reaction): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:text) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:effectiveTime) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.21']]]) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.21']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']"
         id="d20e9429-false-d38607e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.15')">(ProblemEntryAllergy_Reaction): Der Wert von root MUSS '1.2.40.0.34.11.13.3.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:id
Item: (ProblemEntryAllergy_Reaction)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e9436-false-d38632e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemEntryAllergy_Reaction): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.35 ELGA_Problemarten (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:text
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:text"
         id="d20e9451-false-d38652e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e9456-false-d38671e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="@value">(ProblemEntryAllergy_Reaction): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:statusCode[@code = 'completed']
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:statusCode[@code = 'completed']"
         id="d20e9468-false-d38686e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="@nullFlavor or (@code='completed')">(ProblemEntryAllergy_Reaction): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:effectiveTime
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:effectiveTime"
         id="d20e9473-false-d38702e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e9481-false-d38712e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="@code">(ProblemEntryAllergy_Reaction): Attribut @code MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="count(hl7:originalText) &lt;= 1">(ProblemEntryAllergy_Reaction): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText"
         id="d20e9497-false-d38745e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText/hl7:reference
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText/hl7:reference"
         id="d20e9499-false-d38759e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:translation
Item: (ProblemEntryAllergy_Reaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:translation"
         id="d20e9513-false-d38769e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergy_Reaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.21']]]
Item: (ProblemEntryAllergy_Reaction)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.21']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="string(@typeCode) = ('SUBJ')">(ProblemEntryAllergy_Reaction): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-07-13T213919.html"
              test="string(@inversionInd) = ('true')">(ProblemEntryAllergy_Reaction): Der Wert von inversionInd MUSS 'true' sein. Gefunden: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
