<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.2
Name: Problem Entry Allergien 
Description: Dieses Entry dient der codierten Darstellung einer konkreten Allergie oder Intoleranz. Es kann nicht ohne Einbettung in ein Bedenken-Entry angegeben werden (Allergien und Intoleranzen Entry). Die Zeitspanne, in der die Überempfindlichkeit besteht oder bestanden hat, wird hier angegeben. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.2-2016-11-06T170302">
   <title>Problem Entry Allergien </title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]"
         id="d20e10078-false-d39548e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]) &gt;= 1">(AllergyProblemEntry): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]) &lt;= 1">(AllergyProblemEntry): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]"
         id="d20e10173-false-d39599e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@classCode) = ('OBS')">(AllergyProblemEntry): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@moodCode) = ('EVN')">(AllergyProblemEntry): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']) &gt;= 1">(AllergyProblemEntry): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']) &lt;= 1">(AllergyProblemEntry): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.2'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt; 1">(AllergyProblemEntry): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(AllergyProblemEntry): Element hl7:code[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:text) &lt;= 1">(AllergyProblemEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(AllergyProblemEntry): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(AllergyProblemEntry): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:effectiveTime) &gt;= 1">(AllergyProblemEntry): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:effectiveTime) &lt;= 1">(AllergyProblemEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &gt;= 1">(AllergyProblemEntry): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(AllergyProblemEntry): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]) &lt;= 1">(AllergyProblemEntry): Element hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.18']]]) &lt;= 1">(AllergyProblemEntry): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.18']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.19']]]) &lt;= 1">(AllergyProblemEntry): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.19']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]) &lt;= 1">(AllergyProblemEntry): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']"
         id="d20e10179-false-d39720e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.2')">(AllergyProblemEntry): Der Wert von root MUSS '1.2.40.0.34.11.13.3.2' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:id
Item: (AllergyProblemEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:code[not(@nullFlavor)]
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:code[not(@nullFlavor)]"
         id="d20e10186-false-d39745e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:text
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:text"
         id="d20e10197-false-d39759e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(AllergyProblemEntry): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(AllergyProblemEntry): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e10202-false-d39775e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="@value">(AllergyProblemEntry): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:statusCode[@code = 'completed']
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:statusCode[@code = 'completed']"
         id="d20e10212-false-d39790e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="@nullFlavor or (@code='completed')">(AllergyProblemEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime"
         id="d20e10222-false-d39806e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:low) &gt;= 1">(AllergyProblemEntry): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:low) &lt;= 1">(AllergyProblemEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:high) &lt;= 1">(AllergyProblemEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime/hl7:low
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime/hl7:low"
         id="d20e10235-false-d39831e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime/hl7:high
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:effectiveTime/hl7:high"
         id="d20e10241-false-d39841e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e10265-false-d39851e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="@code">(AllergyProblemEntry): Attribut @code MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="count(hl7:originalText) &lt;= 1">(AllergyProblemEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText
Item: (AllergyProblemEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:originalText"
         id="d20e10281-false-d39881e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergyProblemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:value
Item: (AllergyProblemEntry)
-->


   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]
Item: (AllergyProblemEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]">
      <extends rule="d39909e0-false-d39913e0"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="hl7:value[@code] or hl7:participant/hl7:participantRole">(AllergyProblemEntry): IF the observation/value element is present and coded then the observation/participant element SHALL be omitted.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]
Item: (ParticipantAllergy)
-->
   <rule id="d39909e0-false-d39913e0" abstract="true">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.3-2016-11-06T175323.html"
              test="string(@typeCode) = ('CSM')">(ParticipantAllergy): Der Wert von typeCode MUSS 'CSM' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.3-2016-11-06T175323.html"
              test="count(hl7:participantRole[@classCode = 'MANU']) &gt;= 1">(ParticipantAllergy): Element hl7:participantRole[@classCode = 'MANU'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.3-2016-11-06T175323.html"
              test="count(hl7:participantRole[@classCode = 'MANU']) &lt;= 1">(ParticipantAllergy): Element hl7:participantRole[@classCode = 'MANU'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole[@classCode = 'MANU']
Item: (ParticipantAllergy)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole[@classCode = 'MANU']">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.3-2016-11-06T175323.html"
              test="string(@classCode) = ('MANU')">(ParticipantAllergy): Der Wert von classCode MUSS 'MANU' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole[@classCode = 'MANU']/hl7:playingEntity[@classCode = 'MMAT']
Item: (ParticipantAllergy)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole[@classCode = 'MANU']/hl7:playingEntity[@classCode = 'MMAT']">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.3-2016-11-06T175323.html"
              test="string(@classCode) = ('MMAT')">(ParticipantAllergy): Der Wert von classCode MUSS 'MMAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole[@classCode = 'MANU']/hl7:playingEntity[@classCode = 'MMAT']/hl7:code
Item: (ParticipantAllergy)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]
Item: (AllergyProblemEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@inversionInd) = ('true')">(AllergyProblemEntry): Der Wert von inversionInd MUSS 'true' sein. Gefunden: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@typeCode) = ('MFST')">(AllergyProblemEntry): Der Wert von typeCode MUSS 'MFST' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.18']]]
Item: (AllergyProblemEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.18']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@inversionInd) = ('true')">(AllergyProblemEntry): Der Wert von inversionInd MUSS 'true' sein. Gefunden: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@typeCode) = ('SUBJ')">(AllergyProblemEntry): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.19']]]
Item: (AllergyProblemEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.19']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@inversionInd) = ('true')">(AllergyProblemEntry): Der Wert von inversionInd MUSS 'true' sein. Gefunden: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@typeCode) = ('SUBJ')">(AllergyProblemEntry): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.2
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]
Item: (AllergyProblemEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.14']]]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@inversionInd) = ('false')">(AllergyProblemEntry): Der Wert von inversionInd MUSS 'false' sein. Gefunden: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.2-2016-11-06T170302.html"
              test="string(@typeCode) = ('REFR')">(AllergyProblemEntry): Der Wert von typeCode MUSS 'REFR' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
