<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.24
Name: Erwartetes Geburtsdatum
Description: 
                 Voraussichtlicher Geburtstermin. Schätzung oder Berechnung nach letzter Regelblutung oder Eisprung, sowie das Datum der Schätzung/Berechnung. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.24-2017-08-23T215544">
   <title>Erwartetes Geburtsdatum</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]
Item: (ErwartetesGeburtsdatum)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]"
         id="d20e10888-false-d41365e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="string(@classCode) = ('OBS')">(ErwartetesGeburtsdatum): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="string(@moodCode) = ('EVN')">(ErwartetesGeburtsdatum): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']) &gt;= 1">(ErwartetesGeburtsdatum): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.24'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.24'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt; 1">(ErwartetesGeburtsdatum): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält Codes außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:code[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:text) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(ErwartetesGeburtsdatum): Element hl7:statusCode[@code = 'completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:value) &gt;= 1">(ErwartetesGeburtsdatum): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:value) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:reference[hl7:externalDocument]) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:reference[hl7:externalDocument] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']"
         id="d20e10894-false-d41440e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.24')">(ErwartetesGeburtsdatum): Der Wert von root MUSS '1.2.40.0.34.11.13.3.24' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:code[not(@nullFlavor)]
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:code[not(@nullFlavor)]"
         id="d20e10899-false-d41457e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:text
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:text"
         id="d20e10909-false-d41471e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &gt;= 1">(ErwartetesGeburtsdatum): Element hl7:originalText[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &lt;= 1">(ErwartetesGeburtsdatum): Element hl7:originalText[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:text/hl7:originalText[not(@nullFlavor)]
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:text/hl7:originalText[not(@nullFlavor)]"
         id="d20e10914-false-d41487e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="@value">(ErwartetesGeburtsdatum): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="not(@value) or string-length(@value)&gt;0">(ErwartetesGeburtsdatum): Attribute @value MUSS vom Datentyp 'st' sein  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e10927-false-d41504e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="@nullFlavor or (@code='completed')">(ErwartetesGeburtsdatum): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:effectiveTime
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:effectiveTime"
         id="d20e10932-false-d41520e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:value
Item: (ErwartetesGeburtsdatum)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:value"
         id="d20e10940-false-d41530e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ErwartetesGeburtsdatum): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.24-2017-08-23T215544.html"
              test="not(*)">(ErwartetesGeburtsdatum): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]
Item: (ErwartetesGeburtsdatum)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]
Item: (ELGAExternalDocument)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:externalDocument) &gt;= 1">(ELGAExternalDocument): Element hl7:externalDocument ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument
Item: (ELGAExternalDocument)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@classCode) = ('DOC') or not(@classCode)">(ELGAExternalDocument): Der Wert von classCode MUSS 'DOC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(ELGAExternalDocument): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ELGAExternalDocument): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ELGAExternalDocument): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:code) &lt;= 1">(ELGAExternalDocument): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:text) &lt;= 1">(ELGAExternalDocument): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:id[not(@nullFlavor)]
Item: (ELGAExternalDocument)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:code
Item: (ELGAExternalDocument)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.24']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:text
Item: (ELGAExternalDocument)
--></pattern>
